Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/ExpressionBuilder.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/ExpressionBuilder.java	(revision 44197)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/ExpressionBuilder.java	(revision 44198)
@@ -1,12 +1,116 @@
 package org.gvsig.expressionevaluator;
 
 import java.util.List;
+import java.util.Map;
 import org.cresques.cts.IProjection;
 import org.gvsig.fmap.geom.Geometry;
 import org.gvsig.fmap.geom.primitive.Envelope;
+import org.gvsig.tools.util.PropertiesSupport;
+import org.gvsig.tools.util.PropertiesSupportHelper;
 
 public interface ExpressionBuilder {
 
+    public static final String OPERATOR_NOT = "NOT";
+    public static final String OPERATOR_IS = "IS";
+    public static final String OPERATOR_AND = "AND";
+    public static final String OPERATOR_OR = "OR";
+    public static final String OPERATOR_EQ = "EQ";
+    public static final String OPERATOR_NE = "NE";
+    public static final String OPERATOR_GT = "GT";
+    public static final String OPERATOR_GE = "GE";
+    public static final String OPERATOR_LT = "LT";
+    public static final String OPERATOR_LE = "LE";
+    public static final String OPERATOR_LIKE = "LIKE";
+    public static final String OPERATOR_ILIKE = "ILIKE";
+    public static final String OPERATOR_ADD = "ADD";
+    public static final String OPERATOR_SUBST = "SUBST";
+    public static final String OPERATOR_MULT = "MULT";
+    public static final String OPERATOR_DIV = "DIV";
+    public static final String OPERATOR_CONCAT = "CONCAT";
+    
+    public static final String FUNCTION_ST_SRID = "ST_SRID";
+    public static final String FUNCTION_ST_ASTEXT = "ST_AsText";
+    public static final String FUNCTION_ST_ASBINARY = "ST_AsBinary";
+    public static final String FUNCTION_ST_ASEWKB = "ST_AsEWKB";
+    public static final String FUNCTION_ST_ENVELOPE = "ST_Envelope";
+    public static final String FUNCTION_ST_GEOMFROMTEXT = "ST_GeomFromText";
+    public static final String FUNCTION_ST_GEOMFROMWKB = "ST_GeomFromWKB";
+    public static final String FUNCTION_ST_GEOMFROMEWKB = "ST_GeomFromEWKB";
+    public static final String FUNCTION_ST_SIMPLIFY = "ST_Simplify";
+    public static final String FUNCTION_ST_EQUALS = "ST_Equals";
+    public static final String FUNCTION_ST_INTERSECTS = "ST_Intersects";
+    public static final String FUNCTION_ST_CONTAINS = "ST_Contains";
+    public static final String FUNCTION_ST_DISJOINT = "ST_Disjoint";
+    public static final String FUNCTION_ST_CROSSES = "ST_Crosses";
+    public static final String FUNCTION_ST_ISCLOSED = "ST_IsClosed";
+    public static final String FUNCTION_ST_OVERLAPS = "ST_Overlaps";
+    public static final String FUNCTION_ST_TOUCHES = "ST_Touches";
+    public static final String FUNCTION_ST_WITHIN = "ST_Within";
+    public static final String FUNCTION_ST_UNIONAGGREGATE = "ST_UnionAggregate";
+    public static final String FUNCTION_ST_EXTENTAGGREGATE = "ST_ExtentAggregate";
+
+    public static final String FUNCTION_IIF = "IIF";
+    public static final String FUNCTION_IFNULL = "IFNULL";
+    
+    public static final String FUNCTION_LEFT = "LEFT";
+    public static final String FUNCTION_RIGHT = "RIGHT";
+    public static final String FUNCTION_LOCATE = "LOCATE";
+    public static final String FUNCTION_POSITION = "POSITION";
+    public static final String FUNCTION_LPAD = "LPAD";
+    public static final String FUNCTION_RPAD = "RPAD";
+    public static final String FUNCTION_LTRIM = "LTRIM";
+    public static final String FUNCTION_RTRIM = "RTRIM";
+    public static final String FUNCTION_TRIM = "TRIM";
+    public static final String FUNCTION_REPEAT = "REPEAT";
+    public static final String FUNCTION_REPLACE = "REPLACE";
+    public static final String FUNCTION_ASCII = "ASCII";
+    public static final String FUNCTION_LENGHT = "LENGHT";
+    public static final String FUNCTION_INSTR = "INSTR";
+    public static final String FUNCTION_LOWER = "LOWER";
+    public static final String FUNCTION_UPPER = "UPPER";
+    public static final String FUNCTION_SPACE = "SPACE";
+    public static final String FUNCTION_SUBSTRING = "SUBSTRING";
+    public static final String FUNCTION_ACOS = "ACOS";
+    public static final String FUNCTION_ASIN = "ASIN";
+    public static final String FUNCTION_ATAN = "ATAN";
+    public static final String FUNCTION_COS = "COS";
+    public static final String FUNCTION_COSH = "COSH";
+    public static final String FUNCTION_COT = "COT";
+    public static final String FUNCTION_BITAND = "BITAND";
+    public static final String FUNCTION_BITOR = "BITOR";
+    public static final String FUNCTION_BITXOR = "BITXOR";
+    public static final String FUNCTION_CEIL = "CEIL";
+    public static final String FUNCTION_DEGREES = "DEGREES";
+    public static final String FUNCTION_EXP = "EXP";
+    public static final String FUNCTION_FLOOR = "FLOOR";
+    public static final String FUNCTION_LOG = "LOG";
+    public static final String FUNCTION_LOG10 = "LOG10";
+    public static final String FUNCTION_PI = "PI";
+    public static final String FUNCTION_POWER = "POWER";
+    public static final String FUNCTION_RADIANS = "RADIANS";
+    public static final String FUNCTION_RAND = "RAND";
+    public static final String FUNCTION_ROUND = "ROUND";
+    public static final String FUNCTION_SQRT = "SQRT";
+    public static final String FUNCTION_SIGN = "SIGN";
+    public static final String FUNCTION_SIN = "SIN";
+    public static final String FUNCTION_SINH = "SINH";
+    public static final String FUNCTION_TAN = "TAN";
+    public static final String FUNCTION_TANH = "TANH";
+    public static final String FUNCTION_ZERO = "ZERO";
+    public static final String FUNCTION_CHR = "CHR";
+    public static final String FUNCTION_DATE = "DATE";
+    public static final String FUNCTION_NOW = "NOW";
+    public static final String FUNCTION_TIME = "TIME";
+    public static final String FUNCTION_TIMESTAMP = "TIMESTAMP";
+
+    public static final String FUNCTION_CAST = "CAST";
+    public static final String FUNCTION_DECODE = "DECODE";
+    public static final String FUNCTION_TODOUBLE = "TODOUBLE";
+    public static final String FUNCTION_TOFLOAT = "TOFLOAT";
+    public static final String FUNCTION_TOINTEGER = "TOINTEGER";
+    public static final String FUNCTION_TOLONG = "TOLONG";
+    public static final String FUNCTION_TOSTR = "TOSTR";
+    
     public enum GeometrySupportType {
         WKT,
         WKB,
@@ -19,7 +123,7 @@
         Constant,
         Geometry
     }
-
+    
     public interface VisitorFilter {
         boolean accept(Visitable visitable);
     }
@@ -31,100 +135,27 @@
     public interface Visitable {
         public void accept(Visitor visitor, VisitorFilter filter);
     }
-    
-    public interface Config {
-        public final static String has_spatial_functions = "has_spatial_functions";
-        public final static String support_schemas = "support_schemas";
-        public final static String quote_for_identifiers = "quote_for_identifiers";
-        public final static String quote_for_strings = "quote_for_strings";
-        public final static String geometry_type_support = "geometry_type_support";
-        public final static String constant_true = "constant_true";
-        public final static String constant_false = "constant_false";
-        public final static String group = "group";
-        public final static String attribute_crs = "crs";
         
-        public final static String ST_SRID = "ST_SRID";
-        public final static String ST_AsText = "ST_AsText";
-        public final static String ST_AsBinary = "ST_AsBinary";
-        public final static String ST_AsEWKB = "ST_AsEWKB";
-        public final static String ST_Contains = "ST_Contains";
-        public final static String ST_Crosses = "ST_Crosses";
-        public final static String ST_Disjoint = "ST_Disjoint";
-        public final static String ST_Equals = "ST_Equals";
-        public final static String ST_IsClosed = "ST_IsClosed";
-        public final static String ST_Overlaps = "ST_Overlaps";
-        public final static String ST_Touches = "ST_Touches";
-        public final static String ST_Within = "ST_Within";
-        public final static String ST_Intersects = "ST_Intersects";
-        public final static String ST_Envelope = "ST_Envelope";
-        public final static String ST_GeomFromText = "ST_GeomFromText";
-        public final static String ST_GeomFromWKB = "ST_GeomFromWKB";
-        public final static String ST_GeomFromEWKB = "ST_GeomFromEWKB";
-        public final static String ST_Simplify = "ST_Simplify";        
-        
-        public final static String lcase = "lcase";
-        public final static String ucase = "ucase";
-        public final static String iif = "iif";
-        public final static String ifnull = "ifnull";
-        
-        public final static String isNull = "isNull";
-        public final static String notIsNull = "notIsNull";
-        public final static String operator_not = "operator_not";
-     
-        public final static String operator_AND = "operator_AND";
-        public final static String operator_OR = "operator_OR";
-        public final static String operator_EQ = "operator_EQ";
-        public final static String operator_NE = "operator_NE";
-        public final static String operator_GT = "operator_GT";
-        public final static String operator_GE = "operator_GE";
-        public final static String operator_LT = "operator_LT";
-        public final static String operator_LE = "operator_LE";
-        public final static String operator_LIKE = "operator_LIKE";
-        public final static String operator_ILIKE = "operator_ILIKE";
-        
-        public final static String operator_add = "operator_add";
-        public final static String operator_subst = "operator_subst";
-        public final static String operator_mult = "operator_mult";
-        public final static String operator_div = "operator_div";
-        public final static String operator_concat = "operator_concat";
-
-
-        public GeometrySupportType getGeometryTypeSupport();
-        public boolean has_spatial_functions();
-        public boolean has_functionality(String functionality);
-        public void remove_functionality(String functionality);
-        
-        public boolean getBoolean(String name);
-        public String getString(String name);
-        public Object get(String name);
-        public void set(String name, Object value);
+    public interface Value extends Visitable, PropertiesSupport {
+        public String toString(Formatter<Value> formatter);
     }
-    
-    public interface Value extends Visitable {
 
-    }
-
     public interface Group extends Value {
-        public Value getValue();
+        public Value value();
     }
 
     public interface Constant extends Value {
-        public Object getValue();
+        public Object value();
     }
 
     public interface Custom extends Value {
-        public Object getValue();
+        public Object value();
         public Custom add(Variable variable);
         public Custom add(Parameter parameter);
     }
 
-    public interface GeometryValue extends Value {
-        public Geometry getGeometry();
-        public IProjection getSRS();
-    }
-    
     public interface Variable extends Value, Comparable<Variable> {
-        public String getName();
+        public String name();
     }
 
     public interface Parameter extends Value {
@@ -133,49 +164,117 @@
         public Parameter as_geometry_variable();
         public Parameter srs(Value srs);
         public Parameter srs(IProjection srs);
-        public String getName();
-        public Object getValue();
         public Parameter value(Object value);
         public Parameter name(String value);
-        public ParameterType getType();
-        public Value getSRS();
+        public String name();
+        public Object value();
+        public ParameterType type();
+        public Value srs();
         public boolean is_constant();
         public boolean is_variable();
         public boolean is_geometry_variable();        
     }
     
-    public interface Parameters extends List<Parameter> {
-        public Parameter get(String name);
+    public interface Function extends Value {
+        public String name();
+        public List<Value> parameters();
+        public Function parameter(Value parameter);
     }
 
-    public interface Function extends Value {
-        public String getName();
+    public interface Method extends Value {
+        public String name();
+        public Value instance();
         public List<Value> parameters();
         public Function parameter(Value parameter);
     }
 
     public interface BinaryOperator extends Value {
-        public String getName();
-        public Value getLeft();
-        public Value getRight();
-        public BinaryOperator setLeft(Value operand);
-        public BinaryOperator setRight(Value operand);
+        public String name();
+        public Value left();
+        public Value right();
+        public BinaryOperator left(Value operand);
+        public BinaryOperator right(Value operand);
     }
+
+    public abstract class AbstractValue implements Value {
+
+        private PropertiesSupport properties;
+        
+        protected AbstractValue() {
+            this.properties = new PropertiesSupportHelper();
+        }
+        
+        @Override
+        public void accept(Visitor visitor, VisitorFilter filter) {
+            if (filter == null || filter.accept(this)) {
+                visitor.visit(this);
+            }
+        }
+
+        @Override
+        public Map<String, Object> getProperties() {
+            return this.properties.getProperties();
+        }
+
+        @Override
+        public Object getProperty(String name) {
+            return this.properties.getProperty(name);
+        }
+
+        @Override
+        public void setProperty(String name, Object value) {
+            this.properties.setProperty(name, value);
+        }
+
+    }
+
+    public class ClassVisitorFilter implements VisitorFilter {
+
+        private final Class classFilter;
+
+        public ClassVisitorFilter(Class classFilter) {
+            this.classFilter = classFilter;
+        }
+
+        @Override
+        public boolean accept(Visitable visitable) {
+            return classFilter.isInstance(visitable);
+        }
+
+    }
+
+    public static final Formatter<Value> EMPTY_FORMATTER = new Formatter<Value>() {
+        @Override
+        public boolean canApply(Value value) {
+            return false;
+        }
+
+        @Override
+        public String format(Value value) {
+            return "";
+        }
+    };
+            
+    public String quote_for_identifiers();
     
+    public String quote_for_strings();
+    
     public void accept(Visitor visitor, VisitorFilter filter);
 
-    public List<Variable> getVariables();
+    public List<Variable> variables();
     
-    public Parameters getParameters();
+    public List<String> variables_names();
     
-    public boolean has_spatial_functions();
+    public List<Parameter> parameters();
     
+    public List<String> parameters_names();
+    
     public GeometrySupportType geometry_support_type();
+    
+    public ExpressionBuilder geometry_support_type(GeometrySupportType geometrySupportType);
 
     public String identifier(String name);
 
-    public String bytearray(byte[] data);
-    
     public String bytearray_hex(byte[] data);
 
     public String bytearray_0x(byte[] data);
@@ -184,13 +283,15 @@
 
     public String string(String s);
    
-    public Object getSRSId(IProjection projection);
+    public Object srs_id(IProjection projection);
     
-    public Config getConfig();
+    public Value value();
+    
+    public ExpressionBuilder value(Value value);
 
-    public Value getValue();
+    public Group group(Value group);
     
-    public ExpressionBuilder setValue(Value value);
+    public Constant bytearray(byte[] data);
     
     public Variable variable(String name);
     
@@ -202,30 +303,35 @@
 
     public Constant constant(Object value);
     
-    public Group group(Value group);
+    public Constant geometry(Geometry geom, IProjection projection);
 
-    public GeometryValue geometry(Geometry geom, IProjection projection);
+    public Constant geometry(Geometry geom);
 
-    public GeometryValue geometry(Geometry geom);
+    public Constant envelope(Envelope envelope, IProjection projection);
 
-    public GeometryValue envelope(Envelope envelope, IProjection projection);
+    public Constant envelope(Envelope envelope);
 
-    public GeometryValue envelope(Envelope envelope);
+    public Constant srs(IProjection projection);
 
     public Custom custom(Object value);
     
-    public Function function(String name, Value... values);
+    public Function as_geometry(Value value);
 
-    public Constant srs(IProjection projection);
+    public Method method(Value instance, String name, Value... values);
 
-    public Function getAsGeometry(Value value);
+    public Function function(String name, Value... values);
+    
+    public BinaryOperator binaryOperator(String name, Value leftOperand, Value rightOperand);
 
+    public Value toValue(String expression);
     
+    public String toString(Formatter<Value> formatter);
+    
     public Function not(Value value);
 
-    public Function notIsNull(Value value);
+    public Function not_is_null(Value value);
     
-    public Function isNull(Value value);
+    public Function is_null(Value value);
 
     public Function ST_SRID(Value geom);
     
@@ -263,10 +369,10 @@
 
     public Function ST_Within(Value geom1, Value geom2);
 
-    public Function lcase(Value s);
+    public Function ST_UnionAggregate(Value geom);
     
-    public Function ucase(Value s);
-
+    public Function ST_ExtentAggregate(Value geom);
+    
     public BinaryOperator and(Value op1, Value op2);
 
     public BinaryOperator or(Value op1, Value op2);
@@ -298,7 +404,7 @@
     public BinaryOperator concat(Value op1, Value op2);
 
     public ExpressionBuilder set(Value value);
-
+    
     public ExpressionBuilder and(Value value);
 
     public ExpressionBuilder or(Value value);
@@ -400,4 +506,19 @@
     public Function zero();
     
     public Function chr(Value num);
+
+    public Function decode(Value value, Value format);
+
+    public Function cast(Value object, Value typeName);
+
+    public Function toDouble(Value object);
+
+    public Function toFloat(Value object);
+
+    public Function toLong(Value object);
+
+    public Function toInteger(Value object);
+
+    public Function toStr(Value object);
+
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/Code.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/Code.java	(revision 44197)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/Code.java	(revision 44198)
@@ -1,5 +1,6 @@
 package org.gvsig.expressionevaluator;
 
+import org.gvsig.expressionevaluator.ExpressionBuilder.Value;
 import org.gvsig.tools.visitor.Visitable;
 
 public interface Code extends Visitable {
@@ -9,8 +10,8 @@
     public static final int IDENTIFIER = 1;
     public static final int CALLER = 2;
     public static final int METHOD = 3;
+    public static final int CODES = 4;
     
-
     public interface Constant extends Code {
 
         public Object value();
@@ -29,6 +30,7 @@
         public static final int BINARY_OPERATOR = 1;
         public static final int UNARY_OPERATOR = 2;
 
+
         public String name();
 
         public Object call(Interpreter interpreter, Object[] args) throws Exception;
@@ -37,7 +39,7 @@
 
         public Function function(Function function);
 
-        public Codes args();
+        public Codes parameters();
 
         public int type();
 
@@ -49,5 +51,26 @@
         public String methodname();
     }
 
-    int code();
+    public static final Formatter<Code> EMPTY_FORMATTER = new Formatter<Code>() {
+        @Override
+        public boolean canApply(Code value) {
+            return false;
+        }
+
+        @Override
+        public String format(Code value) {
+            return "";
+        }
+    };
+
+    public int code();
+
+    public Value toValue();
+
+    public Value toValue(ExpressionBuilder builder);
+    
+    public String toString(Formatter<Code> formatter);
+    
+    public void link(SymbolTable symbolTable);
+    
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/ExpressionUtils.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/ExpressionUtils.java	(revision 44197)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/ExpressionUtils.java	(revision 44198)
@@ -1,5 +1,6 @@
 package org.gvsig.expressionevaluator;
 
+import org.gvsig.expressionevaluator.ExpressionBuilder.Value;
 import org.gvsig.tools.script.Script;
 
 /**
@@ -74,4 +75,68 @@
         }
         return expression;
     }
+
+    public static ExpressionBuilder createExpressionBuilder() {
+        ExpressionBuilder builder = ExpressionEvaluatorLocator.getManager().createExpressionBuilder();
+        return builder;
+    }
+
+    public static Code compile(String expression) {
+        ExpressionEvaluatorManager manager = ExpressionEvaluatorLocator.getManager();
+        Code code = manager.compile(expression);
+        return code;
+    }
+
+    public static Object evaluate(SymbolTable symbolTable, String expression) {
+        ExpressionEvaluatorManager manager = ExpressionEvaluatorLocator.getManager();
+        Object x = manager.evaluate(symbolTable, expression);
+        return x;
+    }
+
+    public static Object evaluate(SymbolTable symbolTable, Code code) {
+        ExpressionEvaluatorManager manager = ExpressionEvaluatorLocator.getManager();
+        Object x = manager.evaluate(symbolTable, code);
+        return x;
+    }
+
+    public static Code optimize(SymbolTable symbolTable, Code code) {
+        ExpressionEvaluatorManager manager = ExpressionEvaluatorLocator.getManager();
+        code = manager.optimize(symbolTable, code);
+        return code;
+    }
+
+    public static String toString(Value value, Formatter formatter) {
+        if( value == null ) {
+            return null;
+        }
+        if( formatter==null ) {
+            formatter = ExpressionBuilder.EMPTY_FORMATTER;
+        }
+        return value.toString(formatter);
+    }
+
+    public static String toString(Value value) {
+        if( value == null ) {
+            return null;
+        }
+        return value.toString(ExpressionBuilder.EMPTY_FORMATTER);
+    }
+
+    public static String toString(Code code, Formatter formatter) {
+        if( code == null ) {
+            return null;
+        }
+        if( formatter==null ) {
+            formatter = Code.EMPTY_FORMATTER;
+        }
+        return code.toString(formatter);
+    }
+
+    public static String toString(Code code) {
+        if( code == null ) {
+            return null;
+        }
+        return code.toString(Code.EMPTY_FORMATTER);
+    }
+
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/Function.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/Function.java	(revision 44197)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.api/src/main/java/org/gvsig/expressionevaluator/Function.java	(revision 44198)
@@ -11,6 +11,7 @@
     public final String GROUP_BOOLEAN = "Boolean";
     public final String GROUP_OGC = "OGC";
     public final String GROUP_PROGRAMMING = "Programming";
+    public final String GROUP_CONVERSION = "Conversion";
     public final String GROUP_OTHER = "Other";
    
     public String group();
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/export/jdbc/swing/panels/SelectTableNamePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/export/jdbc/swing/panels/SelectTableNamePanel.java	(revision 44197)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.jdbc/src/main/java/org/gvsig/export/jdbc/swing/panels/SelectTableNamePanel.java	(revision 44198)
@@ -238,7 +238,7 @@
             );
         }
         String schema = this.getSchema();
-        if( sqlbuilder.supportSchemas() ) {
+        if( sqlbuilder.support_schemas() ) {
             if (schema == null) {
                 throw new ExportPanelValidationException(
                         i18nManager.getTranslation(
@@ -380,7 +380,7 @@
 
                     @Override
                     public void run() {
-                        if( sqlbuilder.supportSchemas() ) {
+                        if( sqlbuilder.support_schemas() ) {
                             txtSchema.setText(sqlbuilder.default_schema());
                         } else {
                             txtSchema.setText("");
